Method: customers.quarantines.list

Returns a list of all quarantines defined by this customer.

HTTP request

GET https://mailadminquarantine.googleapis.com/v1/{parent=customers/*}/quarantines

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource, which is the customer.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return.

pageToken

string

Optional. The nextPageToken value returned from a previous List request.

Request body

The request body must be empty.

Response body

Response message for [quarantines.list][].

If successful, the response body contains data with the following structure:

JSON representation
{
  "quarantines": [
    {
      object (Quarantine)
    }
  ],
  "nextPageToken": string
}
Fields
quarantines[]

object (Quarantine)

The list of quarantines defined by this customer.

nextPageToken

string

A token to retrieve the next page of results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/gmail.admin.quarantine
  • https://www.googleapis.com/auth/gmail.admin.quarantine.readonly

For more information, see the Authorization guide.